> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /yahoo/realestate/realtors

> Get a Yahoo! Real Estate Japan (Yahoo!不動産) real-estate company (不動産会社) profile by id or company URL: company name, office address, nearest stations, business hours, license number, holidays, information source and office photos.

**Price:** 20 credits

**⚠️ Common errors:** 412: Company not found (well-formed id but the company page does not exist)



## OpenAPI

````yaml /openapi/real-estate.json post /api/yahoo/realestate/realtors
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/yahoo/realestate/realtors:
    post:
      tags:
        - /yahoo/realestate
      summary: /yahoo/realestate/realtors
      description: >-
        Get a Yahoo! Real Estate Japan (Yahoo!不動産) real-estate company (不動産会社)
        profile by id or company URL: company name, office address, nearest
        stations, business hours, license number, holidays, information source
        and office photos.


        **Price:** 20 credits


        **⚠️ Common errors:** 412: Company not found (well-formed id but the
        company page does not exist)
      operationId: __api_yahoo_realestate_realtors_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/YahooRealestateRealtorsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/YahooRealestateRealtor'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    YahooRealestateRealtorsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        realtor:
          type: string
          minLength: 1
      type: object
      required:
        - realtor
    YahooRealestateRealtor:
      properties:
        '@type':
          type: string
          default: YahooRealestateRealtor
        id:
          type: string
        url:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        stations:
          items:
            $ref: '#/components/schemas/YahooRealestateStation'
          type: array
          default: []
        business_hours:
          anyOf:
            - type: string
            - type: 'null'
        license_number:
          anyOf:
            - type: string
            - type: 'null'
        holidays:
          anyOf:
            - type: string
            - type: 'null'
        info_source:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    YahooRealestateStation:
      properties:
        '@type':
          type: string
          default: YahooRealestateStation
        line:
          anyOf:
            - type: string
            - type: 'null'
        station:
          anyOf:
            - type: string
            - type: 'null'
        walk_min:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````